Subject: What's wrong? gcc brain-damaged on cygwin?
From: Florin Jurcovici <[email-masked]>
To: Cygwin mailing list <[email-masked]>
Date: Sun, 22 Dec 2002 16:05:08 +0200

Hello.

I installed gcc 3.2 on my machine, only the C++ language pack, and it compiled, checked and installed without error. Now, when I 
ask gcc about version info it says:

$ gcc -v
Reading specs from /usr/local/lib/gcc-lib/i686-pc-cygwin/3.2/specs
Configured with: ../gcc-3.2/configure --enable-threads=win32 --enable-languages=
c++
Thread model: win32
gcc version 3.2

Now I try to  compile this:

// start of file
int main(int argc, char *argv[])
{
	// printf("Hello, world\n");
	char* cc = new char[10];
	delete cc;
	return 0;
}
// end of file

and get this output:

$ gcc testnewchar.cpp
/tmp/ccQiKAEK.o(.text+0x26):testnewchar.cpp: undefined reference to `operator ne
w[](unsigned)'
/tmp/ccQiKAEK.o(.text+0x34):testnewchar.cpp: undefined reference to `operator de
lete(void*)'
collect2: ld returned 1 exit status

Pls don't tell me to link explicitly with the C++ lib, I tried -lstdc++ but it doesn't help. I also tried #include <new>, 
#include <new.h> and the like, nothing seems to help.

What do I do wrong?

Best regards,

Florin Jurcovici
[email-masked]
-----------------
Complex problems have simple, easy to understand wrong answers.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/